<?php
/** DomFramework - Tests
  * @package domframework
  * @author Dominique Fournier <dominique@fournier38.fr>
  */

/** Test the uuid.php file */
class test_uuid extends PHPUnit_Framework_TestCase
{
  public function test_uuid1 ()
  {
    $res = uuid::uuid4 ();
    $this->assertRegExp (36, strlen ($res));
  }

  public function test_uuid2 ()
  {
    $res = uuid::uuid4 ();
    $this->assertRegExp (true, strspn ("0123456789abcdef-", $res) ==
       strlen ($res));
  }
}
